Bug 166202 - Review Request: perl-Template-Plugin-Class : Allow calling of class methods on arbitrary classes
Review Request: perl-Template-Plugin-Class : Allow calling of class methods o...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Grau
David Lawrence
http://search.cpan.org/dist/Template-...
:
Depends On:
Blocks: FE-ACCEPT 166203
  Show dependency treegraph
 
Reported: 2005-08-17 16:50 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 00:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:50:18 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Template-Plugin-Class.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Template-Plugin-Class-0.12-2.src.rpm

Description: 

Allow calling of class methods on arbitrary classes

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Chris Grau 2005-08-17 18:40:46 EDT
Review:

- rpmlint clean
- good package name
- good spec file name
- good license
- license matches upstream
- spec is am. english (and legible)
- source matches upstream (and is latest version)
- package builds on FC-4
- no locales
- no shared libs
- not relocatable
- no duplicate %files
- file permissions okay
- %clean okay
- consistent use of macros
- code, not content
- no -docs package
- %doc okay
- no -devel package

Needswork:

I was prompted to install Module::Build when running rpmbuild.  This should be
in the BR.

> BuildRequires: perl >= 1:5.6.1

Is this BR necessary?

make does not include %{?_smp_mflags}.

> $ rpm -qf /usr/lib/perl5/vendor_perl/5.8.6/Template
> file /usr/lib/perl5/vendor_perl/5.8.6/Template is not owned by any package

perl-Template-Toolkit installs to %{perl_vendorarch} instead of
%{perl_vendorlib}, so it doesn't create/own this Template directory.

RPM doesn't automatically pick up the requires on perl(Template).  Should
probably be added explicitly.
Comment 3 Chris Grau 2005-08-17 23:35:54 EDT
Looks good.  Approved.
Comment 4 Chris Grau 2005-08-18 00:27:00 EDT
Oops.  As mentioned by Ralf Corsepius in
https://www.redhat.com/archives/fedora-extras-list/2005-August/msg01130.html,
the explicit requires should be perl(Template::Plugin).  It's provided by the
same package as perl(Template), so it doesn't change anything, but it's good to
be pedantic.

Note You need to log in before you can comment on or make changes to this bug.